cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/gift_certificates" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"gift_certificate": {
"amount": "5.00",
"expiry_date": "2027-10-01"
}
}'from exsited import build_client
client = build_client()
response = client.gift_certificates.create_gift_certificate(
{"gift_certificate": {"amount": "5.00", "expiry_date": "2027-10-01"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.createGiftCertificate({
gift_certificate: {amount: '5.00', expiry_date: '2027-10-01'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->createGiftCertificate([
'gift_certificate' => ['amount' => '5.00', 'expiry_date' => '2027-10-01'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().createGiftCertificate(
Map.of("gift_certificate", Map.of("amount", "5.00", "expiry_date", "2027-10-01")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.CreateGiftCertificateAsync(new Dictionary<string, object?>
{
["gift_certificate"] = new Dictionary<string, object?>
{
["amount"] = "5.00",
["expiry_date"] = "2027-10-01",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.createGiftCertificate({
'gift_certificate': {'amount': '5.00', 'expiry_date': '2027-10-01'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().CreateGiftCertificate(context.Background(), map[string]any{
"gift_certificate": map[string]any{
"amount": "5.00",
"expiry_date": "2027-10-01",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}Gift certificates
Create a gift certificate
Creates a gift certificate with a starting amount and an expiry date and returns it under gift_certificate.
POST
/
gift_certificates
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/gift_certificates" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"gift_certificate": {
"amount": "5.00",
"expiry_date": "2027-10-01"
}
}'from exsited import build_client
client = build_client()
response = client.gift_certificates.create_gift_certificate(
{"gift_certificate": {"amount": "5.00", "expiry_date": "2027-10-01"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.createGiftCertificate({
gift_certificate: {amount: '5.00', expiry_date: '2027-10-01'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->createGiftCertificate([
'gift_certificate' => ['amount' => '5.00', 'expiry_date' => '2027-10-01'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().createGiftCertificate(
Map.of("gift_certificate", Map.of("amount", "5.00", "expiry_date", "2027-10-01")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.CreateGiftCertificateAsync(new Dictionary<string, object?>
{
["gift_certificate"] = new Dictionary<string, object?>
{
["amount"] = "5.00",
["expiry_date"] = "2027-10-01",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.createGiftCertificate({
'gift_certificate': {'amount': '5.00', 'expiry_date': '2027-10-01'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().CreateGiftCertificate(context.Background(), map[string]any{
"gift_certificate": map[string]any{
"amount": "5.00",
"expiry_date": "2027-10-01",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}Send
amount and expiry_date under gift_certificate. The new certificate gets a code, and its transactions start with one of type initial.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new gift certificate, under gift_certificate.
Show child attributes
Show child attributes